Name:           guiloader
Version:        2.8.0
Release:        2%{?dist}
Summary:        Gideon GuiXml Loader Library

Group:          System Environment/Libraries
License:        GPL
URL:            http://gideon.sourceforge.net
Source0:        http://dl.sourceforge.net/gideon/%{name}-%{version}.tar.bz2
Patch0:         guiloader-2.8.0-soversion.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glib2-devel >= 2.10.0
BuildRequires:  gtk2-devel >= 2.8.0


%description
GuiLoader is a high-performance and compact GuiXml loader
library. This library allows GTK+ applications to create GUI widgets
and objects at run-time from GuiXml resource files. GuiLoader is
written in C language as a GObject subclass and has a trivial
language-independent API. GuiLoader was designed to be easily wrapped
for any language that has GTK+ bindings.


%package devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       glib2-devel
Requires:       gtk2-devel
Requires:       pkgconfig


%description devel
This package contains the header files needed for developing %{name}
applications.


%prep
%setup -q
%patch0 -p1 -b .soversion


%build
%configure --disable-static --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING README
%{_libdir}/*.so.*


%files devel
%defattr(-, root, root, -)
%doc NEWS
%{_includedir}/guiloader
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Oct  5 2006 Denis Leroy <denis@poolshark.org> - 2.8.0-1
- Added pkgconfig devel Requires

* Sun Sep  3 2006 Denis Leroy <denis@poolshark.org> - 2.8.0-1
- First version

